<template>
  <!-- 分配任务 -->
  <div>
    <allocationTask :projectId="projectId" :oldSearchOption="searchOption" :customFields="customFields"></allocationTask>
  </div>
</template>

<script>
import allocationTask from './components/allocationTask.vue'
export default {
  components: {
    allocationTask
  },
  data() {
    return {

    }
  },
  computed: {
    projectId() {
      return this.$route.query.projectId
    },
    searchOption() {//检索条件
      return JSON.parse(this.$route.query.searchOption)
    },
    customFields() {//自定义字段检索条件
      return JSON.parse(this.$route.query.customFields)
    },
  },
  mounted() {

  },
  methods: {

  },
}
</script>

<style lang="scss" scoped></style>